﻿#region Documentation Header

/*
	Copyright: Copyright © 2009 U.S. Army, Software Engineering Directorate (SED), All Rights Reserved.
	Project: Aviation Data Exploitation Capability (ADEC)
	File Name: RespondOption.cs
	Author: 
	Description: Constants for the responses to a message.
	Date Created: 7/13/2012
	Revision History: 
	Developer                     Date            Requirement #               Comments
	-----------------------------------------------------------------------------------------------------
*/

#endregion

namespace GridControl
{
    /// <summary>
    /// Represents the options the user has for responding to a message.
    /// </summary>
    /// <remarks>
    /// Since these values come from the database, there is no added value to cast
    /// them to an enum because they are only used internally.
    /// </remarks>
    public static class RespondOption
    {
        /// <summary>
        /// No response.
        /// </summary>
        public const int NONE = 0;

        /// <summary>
        /// A "reply" response.
        /// </summary>
        public const int REPLY = 1;

        /// <summary>
        /// A "reply all" response.
        /// </summary>
        public const int REPLY_ALL = 2;

        /// <summary>
        /// A "foward" response.
        /// </summary>
        public const int FORWARD = 3;
    }
}
